#
# spec file for package product-builder-plugin-Tumbleweed
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           product-builder-plugin-SLE_15
Summary:        openSUSE - KIWI Image System
License:        GPL-2.0+
Group:          System/Management
Version:        1.0.7
Release:        1.17
Source:         product-builder-plugins-%version.tar.xz
Provides:       product-builder-plugin = %version-%release
Requires:       createrepo_c
Requires:       instsource-susedata
Requires:       mkdosfs
Requires:       mtools
Requires:       openSUSE-appstream-process
Requires:       package-EULAs
Requires:       package-translations
Requires:       instsource-susedata
Requires:       product-builder
Supplements:    product-builder
BuildArch:      noarch

%description
openSUSE - Product Builder Image System InstSource plugins provides information
and plugin code to create meta information for a SUSE
installation source. This particular package contains the metadata
plugins specific for the SLE 15 media.

%prep
%setup -n product-builder-plugins-%version

%build
# empty because of rpmlint warning rpm-buildroot-usage

%install
# build
test -e /.buildenv && . /.buildenv
make buildroot="%{buildroot}" version="sle15" install

%files
%defattr(-, root, root)
%license LICENSE
%dir %{_datadir}/kiwi
%dir %{_datadir}/kiwi/modules
%dir %{_datadir}/kiwi/modules/plugins
%dir %{_datadir}/kiwi/modules/plugins/suse-sle15
%{_datadir}/kiwi/modules/plugins/suse-sle15/*.pm
%config(noreplace) %{_datadir}/kiwi/modules/plugins/suse-sle15/*.ini

%changelog
* Fri Feb 28 2020 adrian.schroeter@suse.com
- update to version 1.0.7
  * support kwd files when building via config.xml
* Tue Dec 10 2019 adrian@suse.de
- update to version 1.0.6
  * Flavor for Full installer has changed
* Fri Sep 27 2019 adrian@suse.de
- update to version 1.0.5
  * adding content tags in repositories (SLE-7695)
* Thu Sep 19 2019 coolo@suse.com
- version 1.0.4
  * Fix construction of media.1/products (jsc#SLE-8271)
* Sat Sep 14 2019 coolo@suse.com
- version 1.0.3
  * build Packages-DVD flavor differently: jsc#SLE-8271
* Mon Mar 19 2018 adrian@suse.de
- allow multiple license tar ball extractions
  * may overwrite license.txt without warning
* Mon Mar 19 2018 adrian@suse.de
- version 1.0.2
  * fix return value verification
* Fri Mar 16 2018 adrian@suse.de
- extract license.txt into extra license directory (bsc#1084694)
* Fri Mar  9 2018 adrian@suse.de
- add dependency to instsource-susedata for disk usage data
  (bsc#1081456)
* Thu Feb  1 2018 adrian@suse.de
- tag it as version 1.0
- install it into sle15 path instead of tumbleweed
* Wed Sep 20 2017 adrian@suse.de
- fix product specific license cleanup and naming scheme
* Tue Sep 12 2017 adrian@suse.de
- add multiple license files according to included products on media
* Thu Aug 24 2017 adrian@suse.de
- create detached pubkey for repomd.xml
* Fri Aug 18 2017 adrian@suse.de
- fix signing of CHECKSUMS file
* Mon Aug 14 2017 adrian@suse.de
- fix adding of license.tar.gz
* Tue Jul 11 2017 adrian@suse.de
- add support for susedata tool
* Fri Jun 23 2017 adrian@suse.de
- fixes for mini media
* Wed May 24 2017 adrian@suse.de
- don't drop meta files on NET images anymore
* Fri Apr 28 2017 jengelh@inai.de
- Stop using old RPM shell vars
* Thu Apr 27 2017 adrian@suse.de
- successor of kiwi-instsource-plugin-* packages
